<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>KPI Assesment Process</title>
    <link rel="stylesheet" th:href="@{/css/sweetalert2.min.css}">
    <!-- SweetAlert2 JS -->
    <script th:src="@{/js/sweetalert2.js}"></script>
    <script>
        function confirmDelete(element) {
            event.preventDefault(); // Prevent the default navigation

            // SweetAlert2 confirmation dialog
            Swal.fire({
                title: 'Are you sure?',
                text: "This action cannot be undone!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#3085d6',
                cancelButtonColor: '#d33',
                confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
                if (result.isConfirmed) {
                    // Redirect to the dynamically set data-href URL if confirmed
                    window.location.href = element.getAttribute("data-href");
                }
            });
        }
    </script>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_kpi_assesment::sidebar_kpi_assesment" th:remove="tag">
        sidebar
    </div>


    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-circle text-secondary" ></i> KPI Assesment Process
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <div class="alert alert-success mb-3" role="alert" th:if="${success != null}">
                    <i class="fa fa-check"></i> <span th:text="${success}"></span>
                </div>
                <div class="alert alert-danger mb-3" role="alert" th:if="${error != null}">
                    <i class="fa fa-check"></i> <span th:text="${error}"></span>
                </div>
                <div class="card shadow-sm border-0">
                    <div class="card-header p-4">
                        <div class="d-flex justify-content-between">
                            <span class="fw-bold text-secondary">List Of KPI</span>
                        </div>
                    </div>
                    <div class="card-body pt-4 pb-0 border-0">
                        <div class="row ps-3 pe-3">
                            <div class="col-md-12">
                                <span class="text-secondary">Name : </span>
                                <span th:text="${employes.getFullName()}"></span>
                            </div>
                        </div>
                        <div class="row ps-3 pe-3 mb-3">
                            <div class="col-md-12">
                                <span class="text-secondary">Status : </span>
                                <span th:if="${jenis == 'TENDIK'}" th:text="${position.getPositionName()}"></span>
                                <span th:if="${jenis == 'DOSEN'}" th:text="${position.getDescription()}"></span>
                            </div>
                        </div>
                    </div>

                    <div class="card-body small p-0 pb-0">
                        <table class="table table-striped table-hover mb-0">
                            <thead>
                            <tr>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">No</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">KPI</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Indicator</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0 text-end" scope="col">Reports</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0 text-end" scope="col">Score</th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 10px"></th>
                                <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 10px"></th>
                            </tr>
                            </thead>
                            <tbody class="align-middle">
                            <tr th:each="data,row : ${listRekapPengisianKpi}">
                                <td class="border-start-0 border-end-0 text-end" th:text="${row.index + 1}"></td>
                                <td class="border-start-0 border-end-0 " th:text="${data.rekapPengisianKpi.getKpi()}"></td>
                                <td class="border-start-0 border-end-0" th:text="${data.rekapPengisianKpi.getIndikator()}"></td>
                                <td class="border-start-0 border-end-0 text-end" th:text="${data.rekapPengisianKpi.getJml()}"></td>
                                <td class="border-start-0 border-end-0 text-end" th:text="${data.rekapPengisianKpi.getGrade()}">0</td>
                                <td class="border-start-0 border-end-0">
                                    <!-- Button trigger modal -->
                                    <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" th:data-bs-target="${'#exampleModal' + data.rekapPengisianKpi.getPositionKpi()}">
                                        <i class="fa fa-eye"></i>
                                    </button>

                                    <!-- Modal -->
                                    <div class="modal fade" th:id="${'exampleModal' + data.rekapPengisianKpi.getPositionKpi()}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-lg">
                                            <form th:action="@{/kpiAssement/penilaian}" method="post">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="row">
                                                            <div class="col-md-12 mb-3">
                                                                <p><strong>KPI:</strong> <span th:text="${data.rekapPengisianKpi.getKpi()}"></span></p>
                                                                <p><strong>Indicator:</strong> <span th:text="${data.rekapPengisianKpi.getIndikator()}"></span></p>
                                                                <p><strong>Reports:</strong> <span th:text="${data.rekapPengisianKpi.getJml()}"></span></p>
                                                            </div>
                                                            <div class="row mb-3">
                                                                <div class="col-md-4" style="border-right: 1px solid #cfcbca">
                                                                    <b>Syarat Nilai A</b>
                                                                    <p style="color: #475569; font-size: 14px;" th:text="${data.rekapPengisianKpi.getSyaratAa()}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Animi aperiam earum fuga illo, magnam molestias possimus! A aperiam aspernatur ea esse incidunt sunt, veniam vitae! Architecto fugit nemo porro tempora.</p>
                                                                </div>
                                                                <div class="col-md-4" style="border-right: 1px solid #cfcbca">
                                                                    <b>Syarat Nilai B</b>
                                                                    <p style="color: #475569; font-size: 14px;" th:text="${data.rekapPengisianKpi.getSyaratBb()}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Accusantium amet fugit minima mollitia neque. A, assumenda consequuntur delectus doloremque expedita libero molestias necessitatibus non quasi, reiciendis repellendus, rerum sequi voluptatibus?</p>
                                                                </div>
                                                                <div class="col-md-4">
                                                                    <b>Syarat Nilai C</b>
                                                                    <p style="color: #475569; font-size: 14px;" th:text="${data.rekapPengisianKpi.getSyaratCc()}">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Eaque impedit iusto quaerat quas voluptatem. Assumenda doloremque eaque ipsa molestias ullam?</p>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-12 mb-2" th:each="pengisianKpiDosen, row:${data.pengisianKpiDosen}">
                                                                <div class="shadow-sm mb-2 border p-3 rounded-2">
                                                                    <div class="row mb-3">
                                                                        <div class="col-md-6">
                                                                            <i class="fa fa-clock text-warning"></i>
                                                                            <span th:text="${#temporals.format(pengisianKpiDosen.getTanggal(), 'dd MMMM YYYY')}">Senin 10 Oktober 2024</span>
                                                                        </div>
                                                                        <div class="col-md-6 text-end">
                                                                      <span class="badge text-bg-warning"
                                                                            th:text="${pengisianKpiDosen.lecturerClassKpi.periodeEvaluasi}">BULANAN</span>
                                                                        </div>
                                                                    </div>

                                                                    <div class="row">
                                                                        <div class="col-md-6">
                                                                            <i class="fa fa-archive text-primary"></i>
                                                                            <span class="text-secondary">Deskripsi Penugasan :</span>
                                                                            <p th:text="${pengisianKpiDosen.deskripsiPenugasan}">
                                                                                Disini di deskripsikan report dari tendik nya sendiri
                                                                            </p>
                                                                        </div>
                                                                        <div class="col-md-6">
                                                                            <i class="fa fa-archive text-primary"></i>
                                                                            <span class="text-secondary">Deskripsi Pelaporan :</span>
                                                                            <p th:text="${pengisianKpiDosen.deskripsi}">
                                                                                Disini di deskripsikan report dari tendik nya sendiri
                                                                            </p>
                                                                        </div>
                                                                        <div class="col-md-6">
                                                                            <i class="fa fa-image text-primary"></i>
                                                                            <span class="text-secondary">Evidance :</span>
                                                                            <p class="m-0" th:each="dataEvidance, row:${data.pengisianKpiEvidancesDosen}">
                                                                                <a th:href="@{/kpi/evidance(id = ${dataEvidance.getId()})}" target="_blank" th:text="${dataEvidance.getNamaFile()}"></a>
                                                                            </p>
                                                                        </div>
                                                                    </div>

                                                                </div>
                                                            </div>
                                                            <div class="col-md-12 mb-2" th:each="pengisianKpi, row:${data.pengisianKpi}">
                                                                <div class="shadow-sm mb-2 border p-3 rounded-2">
                                                                    <div class="row mb-3">
                                                                        <div class="col-md-6">
                                                                            <i class="fa fa-clock text-warning"></i>
                                                                            <span th:text="${#temporals.format(pengisianKpi.getTanggal(), 'dd MMMM YYYY')}">Senin 10 Oktober 2024</span>
                                                                        </div>
                                                                        <div class="col-md-6 text-end">
                                                                      <span class="badge text-bg-warning"
                                                                            th:text="${pengisianKpi.positionKpi.periodeEvaluasi}">BULANAN</span>
                                                                        </div>
                                                                    </div>

                                                                    <div class="row">
                                                                        <div class="col-md-6">
                                                                            <i class="fa fa-archive text-primary"></i>
                                                                            <span class="text-secondary">Deskripsi Penugasan :</span>
                                                                            <p th:text="${pengisianKpi.deskripsiPenugasan}">
                                                                                Disini di deskripsikan report dari tendik nya sendiri
                                                                            </p>
                                                                        </div>
                                                                        <div class="col-md-6">
                                                                            <i class="fa fa-archive text-primary"></i>
                                                                            <span class="text-secondary">Deskripsi Pelaporan :</span>
                                                                            <p th:text="${pengisianKpi.deskripsi}">
                                                                                Disini di deskripsikan report dari tendik nya sendiri
                                                                            </p>
                                                                        </div>
                                                                        <div class="col-md-6">
                                                                            <i class="fa fa-image text-primary"></i>
                                                                            <span class="text-secondary">Evidance :</span>
                                                                            <p class="m-0" th:each="dataEvidance, row:${data.pengisianKpiEvidances}">
                                                                                <a th:href="@{/kpi/evidance(id = ${dataEvidance.getId()})}" target="_blank" th:text="${dataEvidance.getNamaFile()}"></a>
                                                                            </p>
                                                                        </div>
                                                                    </div>

                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row" th:if="${data.rekapPengisianKpi.getJml() != 0}">
                                                            <div class="col-md-12">
                                                                <div class="form-group">
                                                                    <label>Nilai</label>
                                                                    <select name="grade" class="form-select" required>
                                                                        <option> -- Pilih --</option>
                                                                        <option value="A">A</option>
                                                                        <option value="B">B</option>
                                                                        <option value="C">C</option>
                                                                    </select>
                                                                    <input type="hidden" name="positionKpi" th:value="${data.rekapPengisianKpi.getPositionKpi()}">
                                                                    <input type="hidden" name="jenis" th:value="${jenis}">
                                                                    <input type="hidden" name="employes" th:value="${employes.getId()}">
                                                                    <input type="hidden" name="bulan" th:value="${data.rekapPengisianKpi.getBulan()}">
                                                                    <input type="hidden" name="tahun" th:value="${data.rekapPengisianKpi.getTahun()}">
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </td>
                                <td class="border-start-0 border-end-0">
                                    <button class="btn btn-sm btn-success" title="Assesment">
                                        <i class="fa fa-edit"></i>
                                    </button>
                                </td>
                            </tr>
                            </tbody>
                        </table>

                    </div>

                    <div class="card-footer text-end p-4 bg-body border-top-0">
                        <!--                        <nav aria-label="Page navigation example">-->
                        <!--                            <ul class="pagination" sd:pagination="full"></ul>-->
                        <!--                        </nav>-->
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>

<script>
    const detailModal = document.getElementById('detailModal');

    detailModal.addEventListener('show.bs.modal', async function (event) {
        // Tombol yang diklik
        const button = event.relatedTarget;
        const dataId = button.getAttribute('data-id');
        const dataIdEmployee = button.getAttribute('data-employee');

        // Reset modal content
        document.getElementById('detailKpi').textContent = 'Loading...';
        document.getElementById('detailIndikator').textContent = '';
        document.getElementById('detailJml').textContent = '';
        document.getElementById('detailScore').textContent = '';

        try {
            // Panggil API
            const response = await fetch(`/kpi_assesment/process/detail?idPositionKpi=${dataId}&idEmployee=${dataIdEmployee}`);
            if (!response.ok) throw new Error('Data tidak ditemukan');

            const data = await response.json();

            // Isi data ke modal
            document.getElementById('detailKpi').textContent = data.kpi;
            document.getElementById('detailIndikator').textContent = data.indikator;
            document.getElementById('detailJml').textContent = data.jml;
            document.getElementById('detailScore').textContent = data.score;

        } catch (error) {
            console.error('Error fetching data:', error);
            document.getElementById('detailKpi').textContent = 'Gagal memuat data';
        }
    });
</script>


<script>
    $("#selecsemester").select2({
        theme: "bootstrap-5",
        width: $(this).data("width")
            ? $(this).data("width")
            : $(this).hasClass("w-100")
                ? "100%"
                : "style",
        placeholder: $(this).data("placeholder"),
    });
</script>

<script>
    function validateSize(input, n) {
        const fileSize = input.files[0].size / 1024; // in KB
        if (n == 1) {
            var form = document.getElementById("form1");
        } else if (n == 2) {
            var form = document.getElementById("form2");
        } else if (n == 3) {
            var form = document.getElementById("form3");
        } else {
            var form = document.getElementById("form4");
        }
        if (fileSize > 100) {
            event.target.value = "";
            alert("Ukuran file melebihi 100 KB");
        } else {
            input.form.submit();
        }
    }
</script>






